Subject: Implementing authenticated Smart HTTP - which URLs to secure

From: "Jonas H." <[email-masked]>
Date: Sun, 15 Jul 2012 15:43:15 +0200

Howdy!

I'd like to implement HTTP authentication for Git Smart HTTP using 
Dulwich (a Python binding):

1) read-only if unauthenticated and write only if authenticated
2) read/write only if authenticated

I couldn't find any documentation on which URLs need be secured and what 
response codes are expected in case the cloner/pusher is unauthenticated.

Is there any documentation on Smart HTTP workflow?  The C sources 
(vanilla Git and libgit2) didn't help me too much since I found it very 
difficult to follow the code-flow... it's probably just abstracted too 
well :-)

Thanks!
Jonas